---
layout: ../../layouts/post.astro
title: "Website rework"
pubDate: 2024-10-17
description: "Describes the layout of goober.cloud"
author: "matt"
excerpt: Changes and structure of goober.cloud
image:
  src:
  alt:
tags: ["admin"]
---

# The architecture of Goober.Cloud

Goober.Cloud might appear to be one box somewhere to an end user. And that makes sense, or, rather, it would.

But, unfortunately, it's actually a mess of things.

I origionally bought the domain to replace mattcompton.dev and xhec.dev, but as per usual with me and my projects, that never completely happened.

As best I know, (and I hope I'm not forgetting anything), here's the layout of stuff as a reference point for myself and anyone else who's curious:

## Server 1: Goober.Cloud YunoHost
The following services are hosted on a YunoHost (Debian for homelab) box hosted on HostBrr:
1. Email stack
2. LDAP/OIDC stack
3. ArchiveBox
4. Mastodon (which is on the domain https://goobersin.space, since I had already previously tested mastodon on goober.cloud-related domains like social.goober.cloud, and hi.goober.cloud, but they never stuck)
5. MediaWiki
6. Planka (Trello alternative)
7. Roundcube (web email client)

## Server 2: Goober.Cloud Debian
This Debian server, also hosted by HostBrr, exists seperate of YunoHost so that it can run UptimeKuma, and track services on the former if they have issues.

It also has some WIP personal project stuff since it had spare bandwith.

Overall, things that are on this box:
1. UptimeKuma via Docker
2. Forgejo runner which uses Docker
3. Random WIP project infra for stuff I'll talk about if I ever get around to finishing it.

## Server 3 (and 4?): Goober.Cloud Arch Mirror
These two debian servers are the last vestiges of my origional frankenstein homelab in Maryland.
I say two only because there's two layers of HTTP proxy.

As far as Goober.Cloud is concerned, the only thing of interest on them is the Arch Linux mirror at https://arch.goober.cloud

The rest is leftovers from before I built my Proxmox stack & moved to HostBrr.

## Server 5-8: Goober.Cloud Proxmox Stack
My proxmox servers host a ton of stuff, some of which interfaces with Goober.Cloud, and some does not. The Forgejo instance mentioned below, and the free VMs that you can get (if you ask me!) are the initial offerings from Goober.Cloud before I decided to get a VPS so that email hosting was an option.

1. Forgejo instance (the one mentioned on the services page)
2. [Mend Renovate](https://github.com/renovatebot/renovate) bot that performs automatic dependency updates for projects hosted on the Forgejo instance
3. SearX Instance (private metasearch engine)
4. nginx proxy for Forgejo and SearX